Subject: bug#70139: [PATCH] Improve key-translate to support removing translations

From: Stefan Monnier <[email-masked]>
Date: Thu, 04 Apr 2024 09:00:31 -0400

I don't have much to say about this bug report or the fix for it, I'm
not very familiar with the `keyboard-translate-table` part of our
input processing.

>    (aset keyboard-translate-table
>          (aref (key-parse from) 0)
> -        (aref (key-parse to) 0)))
> +        (and to (aref (key-parse to) 0))))

But here, I think that, in keeping with the tradition of the `key-*`
functions, we should signal an error if `key-parse` returns an array
longer than 1 element, instead of just using the first element and
silently dropping the rest on the floor.

        Stefan